Auflisten Domains
Listet Kundendomains auf, die für den Principal der öffentlichen API sichtbar sind.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisierungen
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Pfadparameter
Abfrageparameter
Antwort
Domains auf dieser Seite
Hide child attributes
Hide child attributes
Domäne UUID
Domainname
Ob das Outbound-Routing bereit ist
Status des Domänenlebenszyklus
Arbeitsbereich UUID, der die Domäne enthält
Ob die automatische Verlängerung der Domain aktiviert ist
Zeitstempel der Domänenerstellung
Zugewiesener dedizierter IP UUID, falls vorhanden
Externe Anbieter-ID für den eingehenden Mandanten
Eingehender Mandant UUID, falls zugewiesen
Anzeigename des eingehenden Mandanten, falls zugewiesen
Eingehender Mandantentyp, falls zugewiesen
Konfigurierter Umleitungsmodus, falls vorhanden
301, 302, iframe Konfigurierte Weiterleitungs-URL, falls vorhanden
Zeitstempel der letzten Domain-Aktualisierung
Aktuelle einseitige Seitenzahl
Maximale Anzahl an Elementen pro Seite
Gesamtzahl der passenden Domains
War diese Seite hilfreich?
